﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RetroCalendar {

    public partial class AlarmControlsForm : Form {

        private Calendar _cal;

        public Calendar Calendar {
            set {
                _cal = value;
                this.txtEarlyRing.Text = _cal.EarlyRing.ToString();
                this.chkSound.Checked = _cal.Sound;
            }
        }
        public AlarmControlsForm() {
            InitializeComponent();
        }

        private void OK_Click(object sender, EventArgs e) {

            if (ValidateForm()) {

                if (this.txtEarlyRing.Text != "") {
                    _cal.EarlyRing = int.Parse(this.txtEarlyRing.Text);
                }
                else {
                    _cal.EarlyRing = 0;
                }
                _cal.Sound = this.chkSound.Checked;
                _cal.Changed = true;

                this.DialogResult = System.Windows.Forms.DialogResult.OK;
            }
        }

        private void btnCancel_Click(object sender, EventArgs e) {
            this.DialogResult = System.Windows.Forms.DialogResult.Cancel;
        }

        private bool ValidateForm() {

            bool result = false;

            int i = 0;
            result = int.TryParse(this.txtEarlyRing.Text, out i);
            if (result) {
                if (i < 0 || i > 10) {
                    result = false;
                }
            }

            if (!result) {
                MessageBox.Show("Early Ring value should be between 0 and 10", "Invalid Value", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }

            return result;
        }
    }
}
