﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RetroCalendar {

    /// <summary>
    /// storage for calendar events
    /// </summary>
    [Serializable]
    public class CalEvent {

        /// <summary>
        /// event time
        /// </summary>
        public DateTime Time;
        /// <summary>
        /// event content
        /// </summary>
        public string Content;
        /// <summary>
        /// flag for alarm
        /// </summary>
        public bool Alarm;
        /// <summary>
        /// flag for special time
        /// </summary>
        public bool Special;

        public override string ToString() {

            StringBuilder sb = new StringBuilder();

            sb.Append("Time: ");
            sb.Append(Time.ToShortDateString());
            sb.Append(" ");
            sb.Append(Time.ToShortTimeString()); 
            sb.Append(Environment.NewLine);

            sb.Append("Content: ");
            sb.Append(Content);
            sb.Append(Environment.NewLine);

            sb.Append("Alarm: ");
            sb.Append(Alarm.ToString());
            sb.Append(Environment.NewLine);

            sb.Append("Special: ");
            sb.Append(Alarm.ToString());
            sb.Append(Environment.NewLine);

            return sb.ToString();
        }
    }
}
