﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RetroCalendar {
    public partial class RemoveForm : Form {

        public Calendar Calendar { get; set; }

        public DateTime CurrentDate {
            set {
                this.dpFrom.Value = value;
                this.dpTo.Value = value;
            }
        }

        public RemoveForm() {
            InitializeComponent();
        }

        private void btnCancel_Click(object sender, EventArgs e) {

            DialogResult = System.Windows.Forms.DialogResult.Cancel;
        }

        private void btnOK_Click(object sender, EventArgs e) {
            if (ValidateForm()) {
                Calendar.DeleteEvents(this.dpFrom.Value.Date, this.dpTo.Value.Date);
                Calendar.Changed = true;
                DialogResult = System.Windows.Forms.DialogResult.OK;
            }
        }

        private bool ValidateForm() {

            bool result = true;

            if (this.dpFrom.Value > this.dpTo.Value) {
                MessageBox.Show("From Date must be less than To Date", "Invalid Date Range", MessageBoxButtons.OK, MessageBoxIcon.Error);
                result = false;
            }

            return result;
        }

    }
}
